FROM golang:1.17 as BUILDER

RUN mkdir /app
ADD /client /app
ADD proto /app/proto
ADD go.sum /app
ADD go.mod /app
WORKDIR /app

RUN CGO_ENABLED=0 GOOS=linux go build -o app main.go

FROM alpine:3.15 AS prodaction
COPY --from=builder /app .
CMD ["./app"]